Mangools/API

Get items in List, filter by list ID

Get a single keyword list together with the full keyword data (search volume, CPC, PPC, keyword difficulty, location) for every keyword in it. Set the Accept: text/csv header or suffix the URL with .csv to download the list as a CSV export instead of JSON.

GET
/kwfinder/lists/{list_id}

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

list_id*string

ID of list to print

Query Parameters

fields*string

filter fields

Response Body

application/json

application/json

application/json

curl -X GET "https://api.mangools.com/v3/kwfinder/lists/string?fields=string"
{
  "keywords": [
    {
      "_id": "005de7e7771450763339653e918778ef",
      "cpc": 0.813559,
      "kw": "seo solutions",
      "lid": 0,
      "msv": [
        [
          2015,
          8,
          590
        ]
      ],
      "ppc": 15,
      "seo": 13,
      "seo_ts": 1590868935,
      "sv": 930,
      "svn": 930,
      "svs": 0,
      "ts": 1592997076,
      "h": [
        [
          1300,
          5.24,
          20,
          33,
          1507733116,
          0.813559
        ]
      ]
    }
  ],
  "list": {
    "_id": "6a29390c4c966b1271aef0d2",
    "name": "My Awesome Keyword List",
    "user_id": "005de7e7771450763339653e918778ef",
    "keyword_ids": [
      "005de7e7771450763339653e918778ef",
      "005de7e7771450763339653e918778ef"
    ],
    "created_at": 1590868935
  }
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "Error",
    "message": "Tag not found"
  }
}